summaryrefslogtreecommitdiff
path: root/perl/perl-BerkeleyDB/perl-BerkeleyDB.SlackBuild
diff options
context:
space:
mode:
Diffstat (limited to 'perl/perl-BerkeleyDB/perl-BerkeleyDB.SlackBuild')
-rw-r--r--perl/perl-BerkeleyDB/perl-BerkeleyDB.SlackBuild30
1 files changed, 13 insertions, 17 deletions
diff --git a/perl/perl-BerkeleyDB/perl-BerkeleyDB.SlackBuild b/perl/perl-BerkeleyDB/perl-BerkeleyDB.SlackBuild
index 1c289fa1c0..13727404cf 100644
--- a/perl/perl-BerkeleyDB/perl-BerkeleyDB.SlackBuild
+++ b/perl/perl-BerkeleyDB/perl-BerkeleyDB.SlackBuild
@@ -3,7 +3,8 @@
# Slackware Package Build Script for perl modules: BerkeleyDB
# Home Page http://search.cpan.org/dist/BerkeleyDB/
-# Copyright (c) 2009-2011, Nishant Limbachia, Hoffman Estates, IL, USA (nishant _AT_ mnspace _DOT_ net)
+# Copyright (c) 2009-2012, Nishant Limbachia, Hoffman Estates, IL, USA
+# (nishant _AT_ mnspace _DOT_ net)
# All rights reserved.
# Redistribution and use of this script, with or without modification, is
@@ -26,12 +27,13 @@
#
# Modified by the SlackBuilds.org project.
-SRCNAM=BerkeleyDB
-PRGNAM=perl-$SRCNAM
-VERSION=${VERSION:-0.49}
+PRGNAM=perl-BerkeleyDB
+VERSION=${VERSION:-0.50}
BUILD=${BUILD:-1}
TAG=${TAG:-_SBo}
+SRCNAM=$(echo $PRGNAM | cut -f2- -d-)
+
if [ -z "$ARCH" ]; then
case "$( uname -m )" in
i?86) ARCH=i486 ;;
@@ -86,22 +88,16 @@ mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
cp -a $DOCS $PKG/usr/doc/$PRGNAM-$VERSION
cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
-# Remove perlocal.pod and .packlist from $PKG
-( cd $PKG
- find . -name "perllocal.pod" -o -name ".packlist" -o -name "*.bs" | xargs rm -f
-)
-
-# Remove empty directories
-find $PKG -depth -type d -empty -exec rm -rf {} \;
-
-### strip binaries
find $PKG | xargs file | grep -e "executable" -e "shared object" | grep ELF \
| cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
-( cd $PKG/usr/man
- find . -type f -exec gzip -9 {} \;
- for i in $(find . -type l) ; do ln -s $(readlink $i).gz $i.gz ; rm $i ; done
-)
+find $PKG/usr/man -type f -exec gzip -9 {} \;
+for i in $( find $PKG/usr/man -type l ) ; do ln -s $( readlink $i ).gz $i.gz ; rm $i ; done
+
+find $PKG -name perllocal.pod -o -name ".packlist" -o -name "*.bs" | xargs rm -f || true
+
+# Remove empty directories
+find $PKG -depth -type d -empty -exec rm -rf {} \;
mkdir -p $PKG/install
cat $CWD/slack-desc > $PKG/install/slack-desc